Upload a transaction attachment

Upload a file attachment to a transaction. The file is uploaded via multipart/form-data. Supported file types include PDF, images (PNG, JPG, GIF), and common document formats.

Path Params
uuid
required

ID of the transaction to attach the file to

Body Params

File to upload. Use form field name 'file'. Optionally include 'attachmentType' field with value 'receipt', 'bill', or 'other'.

string
enum

Type of attachment: 'receipt', 'bill', or 'other'. Defaults to 'other'.

Allowed:
file
required

The file to upload

Responses
200

Successfully uploaded attachment. Returns attachmentId and downloadUrl.

400

Bad request. Either no file was uploaded or the filename exceeds the 299 character limit.

404

Transaction not found

413

File too large. Maximum file size is 32MB.

415

Unsupported file type. Potentially dangerous file extensions (e.g., .exe, .bat) are not allowed.

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here!